# Dianara
# Copyright 2012-2013  JanKusanagi <janjabber@gmail.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the
# Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .
#-------------------------------------------------
# Project created by QtCreator
#-------------------------------------------------

QT       += core gui network dbus
greaterThan(QT_MAJOR_VERSION, 4) QT += widgets

TARGET = dianara
TEMPLATE = app


SOURCES += src/main.cpp\
        src/mainwindow.cpp \
    src/configdialog.cpp \
    src/account.cpp \
    src/notifications.cpp \
    src/post.cpp \
    src/timeline.cpp \
    src/markdown.cpp \
    src/publisher.cpp \
    src/composer.cpp \
    src/timestamp.cpp \
    src/contactlist.cpp \
    src/contactcard.cpp \
    src/mischelpers.cpp \
    src/messagelist.cpp \
    src/pumpcontroller.cpp \
    src/commenter.cpp \
    src/imageviewer.cpp

HEADERS  += src/mainwindow.h \
    src/configdialog.h \
    src/account.h \
    src/notifications.h \
    src/post.h \
    src/timeline.h \
    src/markdown.h \
    src/publisher.h \
    src/composer.h \
    src/timestamp.h \
    src/contactlist.h \
    src/contactcard.h \
    src/mischelpers.h \
    src/messagelist.h \
    src/pumpcontroller.h \
    src/commenter.h \
    src/imageviewer.h

OTHER_FILES += \
    CHANGELOG \
    README \
    dianara.desktop \
    INSTALL \
    TODO \
    BUGS

TRANSLATIONS += translations/dianara_es.ts \
    translations/dianara_ca.ts \
    translations/dianara_fr.ts \
    translations/dianara_de.ts \
    translations/dianara_it.ts \
    translations/dianara_ru.ts

RESOURCES += \
    dianara.qrc

LIBS += -lqjson -lqoauth # to use libQJSON (and to use QOauth in Debian)

CONFIG += oauth # to use QOAuth


## This is here so the makefile has a 'make install' target
target.path = /usr/bin/
INSTALLS += target


## TMP/FIXME added for Debian (Debian's libqoauth-dev bug?)
INCLUDEPATH += /usr/include/QtOAuth /usr/include/QtCrypto
