/*
 *   This file is part of Dianara
 *   Copyright 2012-2013  JanKusanagi <janjabber@gmail.com>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the
 *   Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .
 */

#ifndef CONFIGDIALOG_H
#define CONFIGDIALOG_H

#include <QWidget>
#include <QIcon>
#include <QGridLayout>
#include <QLabel>
#include <QSpinBox>
#include <QComboBox>
#include <QCheckBox>
#include <QPushButton>
#include <QDebug>


class ConfigDialog : public QWidget
{
    Q_OBJECT

public:
    ConfigDialog(int updateInterval,
                 int postsPerPage,
                 int tabsPosition,
                 bool tabsMovable,
                 int publisherType,
                 int showNotifications);
    ~ConfigDialog();


signals:
    void configurationChanged(int newUpdateInterval,
                              int newPostsPerPage,
                              int newTabsPosition,
                              bool newTabsMovable,
                              int newPublisherType,
                              int newShowNotifications);


public slots:
    void saveConfiguration();


private:
    QGridLayout *mainLayout;

    QLabel *updateIntervalLabel;
    QSpinBox *updateIntervalSpinbox;

    QLabel *postsPerPageLabel;
    QSpinBox *postsPerPageSpinbox;

    QLabel *tabsPositionLabel;
    QComboBox *tabsPositionCombobox;

    QLabel *tabsMovableLabel;
    QCheckBox *tabsMovableCheckbox;

    QLabel *publisherTypeLabel;
    QComboBox *publisherTypeCombobox;

    QLabel *showNotificationsLabel;
    QComboBox *showNotificationsCombobox;


    QPushButton *saveConfigButton;
    QPushButton *cancelButton;
};

#endif // CONFIGDIALOG_H
